package com.fjhx.tenant.entity.dict.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * 租户字典明细列表查询入参实体
 *
 * @author
 * @since 2023-03-30
 */
@Getter
@Setter
public class DictTenantDataSelectDto extends BaseSelectDto {

    /**
     * 字典编码
     */
    private String dictCode;

    /**
     * 租户id
     */
    private String tenantId;

}
