package com.ruoyi.framework.filter;

import org.apache.catalina.connector.ClientAbortException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import java.io.IOException;

public class ClientAbortFilter implements Filter {

    @Override
    public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException {
        try {
            chain.doFilter(request, response);
        } catch (ClientAbortException e) {
            // 处理 ClientAbortException
            // 在这里你可以选择记录日志或执行其他操作
            // 但这里我们只是简单地忽略它
        }
    }

}
