package com.ruoyi.framework.config;

import com.ruoyi.framework.filter.ClientAbortFilter;
import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class WebConfig {

    @Bean
    public FilterRegistrationBean<ClientAbortFilter> clientAbortFilter() {
        FilterRegistrationBean<ClientAbortFilter> registrationBean = new FilterRegistrationBean<>();
        registrationBean.setFilter(new ClientAbortFilter());
        registrationBean.addUrlPatterns("/*");
        return registrationBean;
    }

}